Bug 467167 - applet icon should not appears by default
applet icon should not appears by default
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: imsettings (Show other bugs)
10
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Akira TAGOH
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-16 03:21 EDT by Alex Chiang
Modified: 2009-03-10 06:47 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-10 06:47:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex Chiang 2008-10-16 03:21:41 EDT
Description of problem:
scim is turned on by default on a vanilla F10 beta install. It was not turned on by default in F9 (that I can remember).

The first time the user logs in, a little notification window pops up with a cryptic message.

Most users will never need scim, and turning it on by default is the wrong choice, in my opinion.

Version-Release number of selected component (if applicable):
Version    : 1.4.7
Release    : 34.fc10

How reproducible: 100%


Steps to Reproduce:
1. Install F10

  
Actual results:
scim runs, displays an icon in the panel, and pops up a notification window, even though the user never asked for it.

Expected results:
scim only runs if needed

Additional info:

yum info scim says:

Description: SCIM is a user friendly and full featured input method user
           : interface and also a development platform to make life easier for
           : Input Method developers.

Most users will never need the input method, and most normal users are not input method developers.

scim should not be turned on by default.
Comment 1 Jens Petersen 2008-10-20 01:48:16 EDT
This should be fixed in rawhide after f10 beta.
Comment 2 Jens Petersen 2008-10-20 01:50:53 EDT
(It is not scim though - scim is not run by default in F10 - the applet appearing in the beta gives you the ability to turn on scim on the desktop without having to run im-chooser.)
Comment 3 Bug Zapper 2008-11-25 22:54:50 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.